### Method

# Gsk RenderNode get_opaque_rect

since: 4.16

#### Declaration [src]

    gboolean
    gsk_render_node_get_opaque_rect (
      GskRenderNode* self,
      graphene_rect_t* out_opaque
    )

#### Description [src]

Gets an opaque rectangle inside the node that GTK can determine to be fully opaque.

There is no guarantee that this is indeed the largest opaque rectangle or that regions outside the rectangle are not opaque. This function is a best effort with that goal.

The rectangle will be fully contained in the bounds of the node.

Available since: 4.16

#### Parameters

`out_opaque`

  Type: `graphene_rect_t`

  Return location for the opaque rect.

  The argument will be set by the function.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

True if part or all of the rendernode is opaque, false if no opaque region could be found.